{******************************************************************************}
{**                                                                          **}
{**  TantDatePanel Component DEMO. Main Form unit.                           **}
{**                                                                          **}
{**  Author:    KARPOLAN                                                     **}
{**  E-Mail:    karpolan@yahoo.com , karpolan@utilmind.com                   **}
{**  Home Page: http://karpolan.i.am, http://www.utilmind.com                **}
{**  Copyright  1996-99 by KARPOLAN.                                        **}
{**  Copyright  1999, UtilMind Solutions.                                   **}
{**                                                                          **}
{******************************************************************************}
{** History:
  31 aug 1999 - 4.1 Last modified...
*******************************************************************************}
Unit antDatePanelDemoMain;

Interface

Uses
  SysUtils, WinTypes, WinProcs, Messages, Classes, Graphics, Controls,
  Forms, Dialogs, StdCtrls, Buttons, ExtCtrls, Grids, Spin,
  antDatePanel;

Type
  TfrmMain = class(TForm)
    DatePanel1: TantDatePanel;
    edGetDateAsShortStr: TEdit;
    edGetDateAsLongStr: TEdit;
    Label1: TLabel;
    Label2: TLabel;
    Label3: TLabel;
    Label4: TLabel;
    lbEmail: TLabel;
    lbWeb: TLabel;
    lbCopyright: TLabel;
    procedure DatePanel1ChangeDay(Sender: TObject);
    procedure FormCreate(Sender: TObject);
    procedure lbEmailClick(Sender: TObject);
    procedure lbEmailMouseDown(Sender: TObject; Button: TMouseButton;
      Shift: TShiftState; X, Y: Integer);
    procedure lbEmailMouseUp(Sender: TObject; Button: TMouseButton;
      Shift: TShiftState; X, Y: Integer);
    procedure lbWebClick(Sender: TObject);
  End;{TfrmMain = class(TForm)}

Var
  frmMain: TfrmMain;

{##############################################################################}
{******************************************************************************}
{##############################################################################}
Implementation
{##############################################################################}
{******************************************************************************}
{##############################################################################}
{$R *.DFM}
Uses
  ShellApi;

Procedure TfrmMain.DatePanel1ChangeDay(Sender: TObject);
Begin
  edGetDateAsShortStr.Text := DatePanel1.GetDateAsShortStr;
  edGetDateAsLongStr.Text  := DatePanel1.GetDateAsLongStr;
End;

Procedure TfrmMain.FormCreate(Sender: TObject);
Begin
  DatePanel1.SetDate(Now);
End;

Procedure TfrmMain.lbEmailClick(Sender: TObject);
Var
  St: Array[0..255] of Char;
Begin
  ShellExecute(Application.Handle, 'open', StrPCopy(St, 'mailto:' + lbEmail.Caption +
              '?subject=From ' + Application.Title), nil, nil, SW_SHOW);
End;

Procedure TfrmMain.lbWebClick(Sender: TObject);
Var
  St: Array[0..255] of Char;
Begin
  ShellExecute(Application.Handle, 'open', StrPCopy(St,'http://' + lbWeb.Caption),
    nil, nil, SW_SHOW);
End;

Procedure TfrmMain.lbEmailMouseDown(Sender: TObject; Button: TMouseButton;
  Shift: TShiftState; X, Y: Integer);
Begin
  (Sender as TLabel).Font.Color := clRed;
End;

Procedure TfrmMain.lbEmailMouseUp(Sender: TObject; Button: TMouseButton;
  Shift: TShiftState; X, Y: Integer);
Begin
  (Sender as TLabel).Font.Color := clBlue;
End;

End{Unit antDatePanelDemoMain}.
