{******************************************************************************}
{**                                                                          **}
{**  TantMovablePanel Component DEMO. Main Form unit.                        **}
{**                                                                          **}
{**  Author:    KARPOLAN                                                     **}
{**  E-Mail:    karpolan@yahoo.com , karpolan@utilmind.com                   **}
{**  Home Page: http://karpolan.i.am, http://www.utilmind.com                **}
{**  Copyright  1996-99 by KARPOLAN.                                        **}
{**  Copyright  1999, UtilMind Solutions.                                   **}
{**                                                                          **}
{******************************************************************************}
{** History:
  31 aug 1999 - 4.1 Last modified...
*******************************************************************************}
Unit antMovablePanelDemoMain;

Interface

Uses
  SysUtils, WinTypes, WinProcs, Messages, Classes, Graphics, Controls,
  Forms, Dialogs, ExtCtrls, Buttons, StdCtrls, Spin,
  antMovablePanel;

Type
  TfrmMain = Class(TForm)
    MoveblePanel1: TantMovablePanel;
    Image1: TImage;
    Image2: TImage;
    MoveblePanel2: TantMovablePanel;
    ImageRight: TImage;
    ImageLeft: TImage;
    ElevatorUp: TSpeedButton;
    ElevatorDown: TSpeedButton;
    Panel1: TPanel;
    Elevator: TantMovablePanel;
    Image3: TImage;
    OptionsPanel: TantMovablePanel;
    GroupBox1: TGroupBox;
    CheckBox1: TCheckBox;
    RadioButton1: TRadioButton;
    SpinEdit1: TSpinEdit;
    Label1: TLabel;
    Image4: TImage;
    Panel3: TPanel;
    Panel2: TPanel;
    CheckBox2: TCheckBox;
    Door: TantMovablePanel;
    Label2: TLabel;
    Label3: TLabel;
    JumpingJack: TantMovablePanel;
    Image5: TImage;
    Bevel1: TBevel;
    Label4: TLabel;
    Label5: TLabel;
    sedMovePerTick: TSpinEdit;
    sedTimeInterval: TSpinEdit;
    Bevel2: TBevel;
    Label6: TLabel;
    Image6: TImage;
    Label7: TLabel;
    Label9: TLabel;
    Label10: TLabel;
    lbEmail: TLabel;
    Label11: TLabel;
    lbWeb: TLabel;
    lbCopyright: TLabel;

    Procedure MoveblePanel2Click(Sender: TObject);
    Procedure ElevatorUpClick(Sender: TObject);
    Procedure ElevatorDownClick(Sender: TObject);
    Procedure Panel3Click(Sender: TObject);
    Procedure FormCreate(Sender: TObject);
    Procedure sedTimeIntervalChange(Sender: TObject);
    Procedure sedMovePerTickChange(Sender: TObject);
    Procedure MoveblePanel1Click(Sender: TObject);
    Procedure lbEmailClick(Sender: TObject);
    Procedure lbEmailMouseDown(Sender: TObject; Button: TMouseButton;
      Shift: TShiftState; X, Y: Integer);
    Procedure lbEmailMouseUp(Sender: TObject; Button: TMouseButton;
      Shift: TShiftState; X, Y: Integer);
    Procedure lbWebClick(Sender: TObject);
  End;{TfrmMain = Class(TForm)}

Var
  frmMain: TfrmMain;

{##############################################################################}
{******************************************************************************}
{##############################################################################}
Implementation
{##############################################################################}
{******************************************************************************}
{##############################################################################}
{$R *.DFM}
Uses
  ShellApi;

Procedure MoveByClick(Sender : TObject);
Begin
  with (Sender as TantMovablePanel) do
   begin
     if not ToDirection
      then DoMove
      else UnDoMove;
   end;{with Sender do}
End;{Procedure MoveByClick}



Procedure TfrmMain.MoveblePanel2Click(Sender: TObject);
Begin
  MoveByClick(Sender);
  ImageRight.Visible := not ImageRight.Visible;
  ImageLeft .Visible := not ImageLeft. Visible;
End;

Procedure TfrmMain.ElevatorUpClick(Sender: TObject);
Begin
  Elevator.UnDoMove; {Elevator Move Up}
End;

Procedure TfrmMain.ElevatorDownClick(Sender: TObject);
Begin
  Elevator.DoMove;   {Elevator Move Down}
End;

Procedure TfrmMain.Panel3Click(Sender: TObject);
Begin
{  MoveByClick(Sender);}
  if Door.ToDirection
   then Door.UnDoMove
   else Door.DoMove;
End;

Procedure TfrmMain.FormCreate(Sender: TObject);
Begin
  JumpingJack.DoMove;
  sedTimeInterval.Value  := JumpingJack.TimerInterval;
  sedMovePerTick.Value   := JumpingJack.MovePerTick;
End;

Procedure TfrmMain.sedTimeIntervalChange(Sender: TObject);
Begin
  try
    JumpingJack.TimerInterval:=sedTimeInterval.Value;
  except
  end;{try}
End;

Procedure TfrmMain.sedMovePerTickChange(Sender: TObject);
Begin
  try
    JumpingJack.MovePerTick:=sedMovePerTick.Value;
  except
  end;{try}
End;

Procedure TfrmMain.MoveblePanel1Click(Sender: TObject);
Begin
  MoveByClick(Sender);
End;

Procedure TfrmMain.lbEmailClick(Sender: TObject);
Var
  St: Array[0..255] of Char;
Begin
  ShellExecute(Application.Handle, 'open', StrPCopy(St, 'mailto:' + lbEmail.Caption +
              '?subject=From ' + Application.Title), nil, nil, SW_SHOW);
End;

Procedure TfrmMain.lbWebClick(Sender: TObject);
Var
  St: Array[0..255] of Char;
Begin
  ShellExecute(Application.Handle, 'open', StrPCopy(St,'http://' + lbWeb.Caption),
    nil, nil, SW_SHOW);
End;

Procedure TfrmMain.lbEmailMouseDown(Sender: TObject; Button: TMouseButton;
  Shift: TShiftState; X, Y: Integer);
Begin
  (Sender as TLabel).Font.Color := clRed;
End;

Procedure TfrmMain.lbEmailMouseUp(Sender: TObject; Button: TMouseButton;
  Shift: TShiftState; X, Y: Integer);
Begin
  (Sender as TLabel).Font.Color := clBlue;
End;

End{Unit antMovablePanelDemoMain}.
